## org.apache.lucene.queryParser.standard.config
Class FieldDateResolutionFCListener

    java.lang.Object
      org.apache.lucene.queryParser.standard.config.FieldDateResolutionFCListener

All Implemented Interfaces:
  FieldConfigListener

    public class FieldDateResolutionFCListener

extends java.lang.Object
implements FieldConfigListener

This listener listens for every field configuration request and assign a `DateResolutionAttribute` to the equivalent `FieldConfig` based on a defined map: fieldName -> DateTools.Resolution stored in `FieldDateResolutionMapAttribute` in the `DateResolutionAttribute`.

See Also:
  `DateResolutionAttribute`, `FieldDateResolutionMapAttribute`, `FieldConfig`, `FieldConfigListener`

Constructor Summary
`FieldDateResolutionFCListener(QueryConfigHandler config)`

Method Summary
`void` `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldDateResolutionFCListener

    public FieldDateResolutionFCListener(QueryConfigHandler config)

Method Detail

### buildFieldConfig

    public void buildFieldConfig(FieldConfig fieldConfig)

  Description copied from interface: `FieldConfigListener`
  This method is called ever time a field configuration is requested.

  Specified by:
    `buildFieldConfig` in interface `FieldConfigListener`
  Parameters:
    `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.